Bug 617732 - [abrt] NetworkManager-gnome-1:0.8.1-1.fc14: Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
[abrt] NetworkManager-gnome-1:0.8.1-1.fc14: Process /usr/bin/nm-connection-ed...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:12197d4ab5d4b8b80a8d4045b81...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 16:03 EDT by James Laska
Modified: 2013-09-02 02:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-13 15:25:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.25 KB, text/plain)
2010-07-23 16:03 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2010-07-23 16:03:21 EDT
abrt version: 1.1.5
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/nm-connection-editor
component: NetworkManager
executable: /usr/bin/nm-connection-editor
global_uuid: 12197d4ab5d4b8b80a8d4045b81e86643b5a2f22
kernel: 2.6.35-0.55.rc6.git0.fc14.x86_64
package: NetworkManager-gnome-1:0.8.1-1.fc14
rating: 0
reason: Process /usr/bin/nm-connection-editor was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Rawhide)
time: 1279915288
uid: 500

How to reproduce
-----
1. Install rawhide-20100722/x86_64 from boot.iso
2. Create 'guest' user account in firstboot
3. Login for the first time as 'guest' user
Comment 1 James Laska 2010-07-23 16:03:22 EDT
Created attachment 434048 [details]
File: backtrace
Comment 2 Bug Zapper 2010-07-30 08:48:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jirka Klimes 2010-07-30 15:41:59 EDT
I think it may be the same error as in bug 603566.
See also https://bugzilla.redhat.com/show_bug.cgi?id=618590#c7

It's already fixed in upstream.

James, any chance you could install debuginfo packages in order to get better backtrace?
Comment 4 Jurgen Kramer 2010-08-17 14:13:44 EDT
Should this be fixed in F14 alpha RC4?

With a fresh install (x86_64 KVM) is see this in /var/log/messages after enabling eth0:

Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]:    ifcfg-rh: updating /etc/sysconfig/network-scripts/ifcfg-eth0
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]:    ifcfg-rh: updating /etc/sysconfig/network-scripts/ifcfg-eth0
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) starting connection 'System eth0'
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> (eth0): device state change: 3 -> 4 (reason 0)
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> (eth0): device state change: 4 -> 5 (reason 0)
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> (eth0): device state change: 5 -> 7 (reason 0)
Aug 17 19:46:38 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Beginning DHCPv4 transaction (timeout in 45 seconds)
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> dhclient started with pid 2001
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: Internet Systems Consortium DHCP Client 4.2.0
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: Copyright 2004-2010 Internet Systems Consortium.
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: All rights reserved.
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: For info, please visit https://www.isc.org/software/dhcp/
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: 
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> (eth0): DHCPv4 state changed nbi -> preinit
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: Listening on LPF/eth0/52:54:00:39:74:1b
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: Sending on   LPF/eth0/52:54:00:39:74:1b
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: Sending on   Socket/fallback
Aug 17 19:46:39 f14alpha-rc4 kernel: nm-connection-e[1991]: segfault at 50 ip 000000000042cab8 sp 00007fffb90a7280 error 4 in nm-connection-editor[400000+5b000]
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: DHCPOFFER from 192.168.122.1
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: DHCPACK from 192.168.122.1
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> (eth0): DHCPv4 state changed preinit -> bound
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) scheduled...
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) started...
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info>   address 192.168.122.206
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info>   prefix 24 (255.255.255.0)
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info>   gateway 192.168.122.1
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info>   nameserver '192.168.122.1'
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) complete.
Aug 17 19:46:39 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
Aug 17 19:46:39 f14alpha-rc4 dhclient[2001]: bound to 192.168.122.206 -- renewal in 1475 seconds.
Aug 17 19:46:39 f14alpha-rc4 abrt[2004]: saved core dump of pid 1991 (/usr/bin/nm-connection-editor) to /var/spool/abrt/ccpp-1282067199-1991.new/coredump (26730496 bytes)
Aug 17 19:46:39 f14alpha-rc4 abrtd: Directory 'ccpp-1282067199-1991' creation detected
Aug 17 19:46:39 f14alpha-rc4 abrtd: Registered Database plugin 'SQLite3'
Aug 17 19:46:40 f14alpha-rc4 abrtd: New crash /var/spool/abrt/ccpp-1282067199-1991, processing
Aug 17 19:46:40 f14alpha-rc4 abrtd: Registered Action plugin 'RunApp'
Aug 17 19:46:40 f14alpha-rc4 abrtd: RunApp('/var/spool/abrt/ccpp-1282067199-1991','test x"`cat component`" = x"xorg-x11-server-Xorg" && cp /var/log/Xorg.0.log .')
Aug 17 19:46:40 f14alpha-rc4 NetworkManager[971]: <info> (eth0): device state change: 7 -> 8 (reason 0)
Aug 17 19:46:40 f14alpha-rc4 NetworkManager[971]: <info> Policy set 'System eth0' (eth0) as default for IPv4 routing and DNS.
Aug 17 19:46:40 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) successful, device activated.
Aug 17 19:46:40 f14alpha-rc4 NetworkManager[971]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
Aug 17 19:46:40 f14alpha-rc4 NetworkManager[971]:    ifcfg-rh: updating /etc/sysconfig/network-scripts/ifcfg-eth0
Aug 17 19:46:40 f14alpha-rc4 NetworkManager[971]:    ifcfg-rh: updating /etc/sysconfig/network-scripts/ifcfg-eth0
Aug 17 19:47:20 f14alpha-rc4 abrtd: Getting crash infos...
Aug 17 19:47:29 f14alpha-rc4 abrtd: Creating report...
Comment 5 Jirka Klimes 2010-08-23 11:02:42 EDT
Should be fixed in NetworkManager-0.8.1-4.git20100817.fc14 (see https://bugzilla.redhat.com/show_bug.cgi?id=603566#c50).

If the problem persist, please include the core dump.

Note You need to log in before you can comment on or make changes to this bug.